const chai = require('chai')
// const chaiHttp = require('chai-http')

const index = require('../index.js')

// Configure chai
chai.should()
// chai.use(chaiHttp)
// const expect = chai.expect

describe('Email Verifier Daemon (index.js)', function () {
  let server

  // Disabled because we get "Too Many Requests" from Matrix
  it('should launch the API', async () => {
    server = await index.start()
    server.should.not.be.undefined
    server.app.should.not.be.undefined
  })

  xit('should verify the signature on a verification request to make sure it came from the specified identity', async () => {
  })

  xit('should reject a verification request not generated by the specified identity with an error', async () => {
  })

  xit('should generate a verification email to that address when an email address is posted in a room', async () => {
  })

  xit('should post an error message to that room if an email bounces, then leave the room', async () => {
    // https://sendgrid.com/docs/for-developers/tracking-events/event/
  })

  xit('should generate a signed Credential', async () => {
  })

  xit('should post the signed Credential to the room when the recipient clicks the link to verify the email address within expiration period, then leave room', async () => {
  })

  xit('should post an error to the room when the recipient clicks the link after expiration', async () => {
  })

  xit('should return an error when the recipient clicks the link after the expiration period', async () => {
  })

  xit('should return an error when the recipient clicks the link a second time', async () => {
  })

  it('should shut down the API', async () => {
    await server.shutdown()
  })
})
